Page MenuHomePhabricator

Pre-generate/purge mobile-sections endpoints to fix page links inside image captions
Closed, ResolvedPublic

Description

We've deployed the following patches, which fix the output of the mobile-sections endpoint:

Would you do a purge, starting with enwiki? Thanks.

Event Timeline

bearND created this task.Jun 3 2016, 5:33 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 3 2016, 5:33 PM
mobrovac triaged this task as High priority.Jun 3 2016, 6:19 PM
mobrovac added subscribers: Mholloway, mobrovac.

Can the logic mentioned by @Mholloway in T123527#2351608 still be applied? He refers there only to the case of T123527, so how can we identify the pages that need re-rendering form T135315 ?

There is an enwiki dump in process targeting pages affected by T135571. As soon as that one finishes and we settle on the re-render criteria, I can start a new dump.

Personally, I have not seen T135315: Content service shifts wrong lead paragraph to the top in certain cases in the wild. For that one, I wonder if we could get away with just regenerating specific pages on a case-by-case basis as reports come in, especially since it's strictly cosmetic (i.e., not causing crashes). Also, I'm not sure how we could reliably deduce after the fact that a page's lead paragraph had been shifted... @Dbrant / @bearND / @Niedzielski , what say you?

@bearND had some concerns about Asian languages.

Mholloway added a comment.EditedJun 3 2016, 9:55 PM

It would be nice if we marked transformed lead paragraphs in particular since right now I doubt there's a reliable way to identify that transformation having happened after the fact. I created T136697 to that end.

bearND added a comment.Jun 7 2016, 7:53 PM

Back to the topic of purging affected pages:

Both tasks affect the HTML portion of the page content, not simply a JSON object, as was done previously. So, I'm not sure if we can easily narrow it down. You'd have to parse the HTML of the pages or the wikitext and see if specific CSS selectors apply. I've added a comments related to finding pages that need purging on the respective cards.

Eventually it would be good to do a run over all pages that haven't been updated since the fix for T130090 was deployed.

Mholloway added a comment.EditedJun 15 2016, 3:43 PM

I've updated T135315: Content service shifts wrong lead paragraph to the top in certain cases with a proposed query for identifying pages needing purging/regeneration. We're anxious to move forward with this soon as the image captions bug in particular is currently one of the biggest bugs impacting our users.

Mholloway updated the task description. (Show Details)Jun 15 2016, 3:51 PM

Per discussion in the Reading API/Services sync meeting, a regeneration is planned for es- and enwikis without any special selection queries starting tomorrow morning.

Mentioned in SAL [2016-06-17T07:11:29Z] <mobrovac> restbase started mobile-sections dump on restbase1009 for T136964

mobrovac claimed this task.Jun 17 2016, 7:15 AM

Started the enwiki dump.

mobrovac closed this task as Resolved.Jul 13 2016, 11:07 AM

Both enwiki and eswiki have been completed a while back, resolving.